Package org.eclipse.draw2d

# Class MouseListener.Stub

java.lang.Object
org.eclipse.draw2d.MouseListener.Stub

All Implemented Interfaces:
  `MouseListener`

Enclosing interface:
  `MouseListener`

public static class MouseListener.Stub extends Object implements MouseListener
An empty implementation of MouseListener for convenience.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseListener

`MouseListener.Stub`

## Constructor Summary

Constructors
Constructor
Description
`Stub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseDoubleClicked(MouseEvent me)`
Called when a mouse button has been double clicked over the listened to object.
`void`
`mousePressed(MouseEvent me)`
Called when a mouse button has been pressed while over the listened to object.
`void`
`mouseReleased(MouseEvent me)`
Called when a pressed mouse button has been released.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stub

public Stub()

## Method Details

### mousePressed

public void mousePressed(MouseEvent me)
Description copied from interface: `MouseListener`
Called when a mouse button has been pressed while over the listened to object.

Specified by:
  `mousePressed` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseListener.mousePressed(MouseEvent)`

### mouseReleased

public void mouseReleased(MouseEvent me)
Description copied from interface: `MouseListener`
Called when a pressed mouse button has been released.

Specified by:
  `mouseReleased` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseListener.mouseReleased(MouseEvent)`

### mouseDoubleClicked

public void mouseDoubleClicked(MouseEvent me)
Description copied from interface: `MouseListener`
Called when a mouse button has been double clicked over the listened to object.

Specified by:
  `mouseDoubleClicked` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object
See Also:
  - `MouseListener.mouseDoubleClicked(MouseEvent)`